#!/bin/sh
#---------------------------------------------------------------------------
#
#	setnetparm 
#
#	last edit-date: [Tue Feb  3 14:31:55 2009]
#
#	$Id: rc.mobile.sh,v 1.1 2009/02/03 13:32:51 hm Exp $
#
#---------------------------------------------------------------------------

if [ -r /etc/rc.mobile ]
then
	# remove old rc.special if one exists

	if [ -r /etc/mobile/rc.special ]; then
		rm -f /etc/mobile/rc.special
	fi

	# remove old rc.conf.mobile if one exists

	if [ -r /etc/mobile/rc.conf.mobile ]; then
		rm -f /etc/mobile/rc.conf.mobile
	fi

	# execute rc.mobile

	. /etc/rc.mobile

	# execute new rc.conf.mobile if one exists

	if [ -r /etc/mobile/rc.conf.mobile ]; then
		. /etc/mobile/rc.conf.mobile
	fi

	# execute new rc.special if one exists

	if [ -r /etc/mobile/rc.special ]; then
		. /etc/mobile/rc.special
	fi

fi

# EOF
