#!/bin/sh
#---------------------------------------------------------------------------
#
#	install setnetparms
#
#	$Id: install.sh,v 1.6 2009/02/03 20:33:52 hm Exp $
#
#---------------------------------------------------------------------------	

installit ()
{
	dest=$2
	echo
	if [ ! -d $dest ]
	then
		echo "creating $dest ..."
		mkdir -f $dest
	fi

	file=`basename $1`

	if [ -f $dest/$file ]
	then
        	if [ -f $dest/$file-BACKUP ]
	        then
        	        echo "$dest/$file-BACKUP already exists, cannot continue!"
                	echo
                	echo "Terminating setnetparm installation script!"
                	echo
			exit 1
		else
			echo "moving $dest/$file to $dest/$file-BACKUP"
			mv $dest/$file $dest/$file-BACKUP
		fi
	fi
	echo "installing $1 to $dest/$file"
	cp $1 $dest/$file
}

mkdir /etc/mobile
installit laptop.menu		/etc/mobile
installit laptop.curr		/etc/mobile
installit rc.conf.t		/etc/mobile
installit resolv.conf.t		/etc/mobile
installit cmc.pl		/etc/mobile
installit etc/rc.mobile		/etc
chmod a+rx 			/etc/rc.mobile
installit etc/rc.mobile.sh	/etc
chmod a+rx 			/etc/rc.mobile.sh
installit etc/rc.d/mobile.sh	/etc/rc.d
chmod a+rx 			/etc/rc.d/mobile.sh

# EOF
